Quellcode durchsuchen

* updated submodules

* fixed compiler errors
* some small refactoring
master
bergmann vor 9 Jahren
Ursprung
Commit
403a8d0184
25 geänderte Dateien mit 111 neuen und 86 gelöschten Zeilen
  1. +1
    -0
      .gitignore
  2. +9
    -9
      .gitmodules
  3. +0
    -1
      OpenGlCore
  4. +0
    -1
      TextSuite
  5. +0
    -1
      Utils
  6. +17
    -1
      build_release.sh
  7. +2
    -8
      header/examples/fpc/example.lpi
  8. +3
    -3
      header/examples/fpc/uMainForm.lfm
  9. +0
    -0
      inc/utsTextSuite.inc
  10. +46
    -45
      libTextSuite.lpi
  11. +2
    -2
      libTextSuite.lpr
  12. +1
    -0
      src/OpenGLCore
  13. +1
    -0
      src/TextSuite
  14. +1
    -0
      src/Utils
  15. +0
    -0
      src/ultsChar.pas
  16. +3
    -3
      src/ultsContext.pas
  17. +0
    -0
      src/ultsFont.pas
  18. +6
    -6
      src/ultsFontCreator.pas
  19. +13
    -0
      src/ultsGeneral.pas
  20. +0
    -0
      src/ultsImage.pas
  21. +0
    -0
      src/ultsPostProcessor.pas
  22. +6
    -6
      src/ultsRenderer.pas
  23. +0
    -0
      src/ultsTextBlock.pas
  24. +0
    -0
      src/ultsTypes.pas
  25. +0
    -0
      src/ultsUtils.pas

+ 1
- 0
.gitignore Datei anzeigen

@@ -1,6 +1,7 @@
lib/ lib/
bin/ bin/
debug/ debug/
inc/utsTextSuiteVersion.inc
*.so *.so
*.lps *.lps
*.exe *.exe


+ 9
- 9
.gitmodules Datei anzeigen

@@ -1,9 +1,9 @@
[submodule "TextSuite"]
path = TextSuite
url = ../textsuite.git
[submodule "Utils"]
path = Utils
url = ../utils.git
[submodule "OpenGlCore"]
path = OpenGlCore
url = ../lazopenglcore.git
[submodule "src/TextSuite"]
path = src/TextSuite
url = b3rgmann@git.bergmann89.de:opengl/TextSuite.git
[submodule "src/OpenGLCore"]
path = src/OpenGLCore
url = b3rgmann@git.bergmann89.de:opengl/OpenGLCore.git
[submodule "src/Utils"]
path = src/Utils
url = b3rgmann@git.bergmann89.de:freepascal/utils.git

+ 0
- 1
OpenGlCore

@@ -1 +0,0 @@
Subproject commit f3387a1344abac9b32dad078fe0aa083fa6cea14

+ 0
- 1
TextSuite

@@ -1 +0,0 @@
Subproject commit d9d1f100f3636836555e5a1aa0987b98d02c001f

+ 0
- 1
Utils

@@ -1 +0,0 @@
Subproject commit 2e95929d4ef5ada8ac42e840a7e247c98b257581

+ 17
- 1
build_release.sh Datei anzeigen

@@ -13,6 +13,10 @@ INC_MAJOR=false
INC_MINOR=false INC_MINOR=false
INC_BUGFIX=false INC_BUGFIX=false


if [ -z "$FIRST_VERSION" ]; then
FIRST_VERSION="0.0.0.0"
fi

function log() function log()
{ {
echo "$@" >&2 echo "$@" >&2
@@ -92,7 +96,7 @@ function addGitTag()
log "create git version tag" log "create git version tag"
CURRENT=$(getLastVersion) CURRENT=$(getLastVersion)
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
CURRENT="0.0.0.0"
CURRENT="$FIRST_VERSION"
INC_VERSION=false INC_VERSION=false
fi fi
local tmp="v$CURRENT" local tmp="v$CURRENT"
@@ -119,6 +123,10 @@ function addGitTag()
cleaupAndExit 100 cleaupAndExit 100
fi fi
TAGNAME=$tmp TAGNAME=$tmp
HASH="$(git rev-parse HEAD)"

printf "const Version = 'v$NEWVERSION $HASH';" > inc/utsTextSuiteVersion.inc

return 0 return 0
} }


@@ -127,6 +135,7 @@ function BuildConfig()
CONFIG=$1 CONFIG=$1
POSTFIX=$2 POSTFIX=$2
FILEEXT=$3 FILEEXT=$3
DBGEXT=".dbg"


printf "\n== build project $CONFIG ==\n" printf "\n== build project $CONFIG ==\n"
lazbuild --build-mode=$CONFIG --build-all --verbose $SCRIPTDIR/libTextSuite.lpi lazbuild --build-mode=$CONFIG --build-all --verbose $SCRIPTDIR/libTextSuite.lpi
@@ -143,13 +152,20 @@ function BuildConfig()
ZIPPATH="$SCRIPTDIR/$TAGNAME/libTextSuite-$POSTFIX.zip" ZIPPATH="$SCRIPTDIR/$TAGNAME/libTextSuite-$POSTFIX.zip"
fi fi
BINNAME="libTextSuite-$POSTFIX$FILEEXT" BINNAME="libTextSuite-$POSTFIX$FILEEXT"
DBGNAME="libTextSuite-$POSTFIX$DBGEXT"
if [ ! -f $BINNAME ]; then if [ ! -f $BINNAME ]; then
echo "file not found: $EXENAME" echo "file not found: $EXENAME"
cleaupAndExit 2 cleaupAndExit 2
fi fi


cp "$BINNAME" "$DBGNAME" || { log "unable to copy binary to *.dbg"; cleaupAndExit 3; }
objcopy --only-keep-debug "$DBGNAME" || { log "unable to strip $DBGNAME"; cleaupAndExit 3; }
objcopy --strip-debug --strip-unneeded "$BINNAME" || { log "unable to copy binary to $BINNAME"; cleaupAndExit 3; }
objcopy --add-gnu-debuglink "$DBGNAME" "$BINNAME" || { log "unable to create debug link"; cleaupAndExit 3; }

mkdir -p $BINDIR mkdir -p $BINDIR
mv "$BINNAME" "$BINDIR/" || { log "unable to copy linked binary"; cleaupAndExit 3; } mv "$BINNAME" "$BINDIR/" || { log "unable to copy linked binary"; cleaupAndExit 3; }
mv "$DBGNAME" "$BINDIR/" || { log "unable to copy linked debug infos"; cleaupAndExit 3; }
# use this to copy data folder instead of data archive: cp -R --preserve=links data $BINDIR || { log "unable to copy data folder"; cleaupAndExit 4; } # use this to copy data folder instead of data archive: cp -R --preserve=links data $BINDIR || { log "unable to copy data folder"; cleaupAndExit 4; }
cp -r "$HEADER_DIR" "$BINDIR" || { log "unable to copy header files"; cleaupAndExit 4; } cp -r "$HEADER_DIR" "$BINDIR" || { log "unable to copy header files"; cleaupAndExit 4; }
cp -r "$DOCU_DIR" "$BINDIR/docu" || { log "unable to copy documentation files"; cleaupAndExit 5; } cp -r "$DOCU_DIR" "$BINDIR/docu" || { log "unable to copy documentation files"; cleaupAndExit 5; }


+ 2
- 8
header/examples/fpc/example.lpi Datei anzeigen

@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<CONFIG> <CONFIG>
<ProjectOptions> <ProjectOptions>
<Version Value="9"/>
<Version Value="10"/>
<PathDelim Value="\"/> <PathDelim Value="\"/>
<General> <General>
<SessionStorage Value="InProjectDir"/> <SessionStorage Value="InProjectDir"/>
@@ -9,14 +9,10 @@
<Title Value="example"/> <Title Value="example"/>
<ResourceType Value="res"/> <ResourceType Value="res"/>
<UseXPManifest Value="True"/> <UseXPManifest Value="True"/>
<Icon Value="0"/>
</General> </General>
<i18n> <i18n>
<EnableI18N LFM="False"/> <EnableI18N LFM="False"/>
</i18n> </i18n>
<VersionInfo>
<StringTable ProductVersion=""/>
</VersionInfo>
<BuildModes Count="1"> <BuildModes Count="1">
<Item1 Name="Default" Default="True"/> <Item1 Name="Default" Default="True"/>
</BuildModes> </BuildModes>
@@ -44,12 +40,10 @@
<ComponentName Value="MainForm"/> <ComponentName Value="MainForm"/>
<HasResources Value="True"/> <HasResources Value="True"/>
<ResourceBaseClass Value="Form"/> <ResourceBaseClass Value="Form"/>
<UnitName Value="uMainForm"/>
</Unit1> </Unit1>
<Unit2> <Unit2>
<Filename Value="..\..\ulibTextSuite.pas"/> <Filename Value="..\..\ulibTextSuite.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
<UnitName Value="ulibTextSuite"/>
</Unit2> </Unit2>
</Units> </Units>
</ProjectOptions> </ProjectOptions>
@@ -61,7 +55,7 @@
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/> <IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="..\..\..\OpenGlCore;..\.."/>
<OtherUnitFiles Value="..\..\..\src\OpenGLCore;..\.."/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<Linking> <Linking>


+ 3
- 3
header/examples/fpc/uMainForm.lfm Datei anzeigen

@@ -1,7 +1,7 @@
object MainForm: TMainForm object MainForm: TMainForm
Left = 485
Left = 876
Height = 500 Height = 500
Top = 255
Top = 270
Width = 640 Width = 640
Caption = 'libTextSuite' Caption = 'libTextSuite'
OnCreate = FormCreate OnCreate = FormCreate
@@ -9,5 +9,5 @@ object MainForm: TMainForm
OnPaint = FormPaint OnPaint = FormPaint
OnResize = FormResize OnResize = FormResize
Position = poScreenCenter Position = poScreenCenter
LCLVersion = '1.3'
LCLVersion = '1.9.0.0'
end end

utsTextSuite.inc → inc/utsTextSuite.inc Datei anzeigen


+ 46
- 45
libTextSuite.lpi Datei anzeigen

@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<CONFIG> <CONFIG>
<ProjectOptions> <ProjectOptions>
<Version Value="9"/>
<Version Value="10"/>
<PathDelim Value="\"/> <PathDelim Value="\"/>
<General> <General>
<Flags> <Flags>
@@ -17,9 +17,6 @@
<i18n> <i18n>
<EnableI18N LFM="False"/> <EnableI18N LFM="False"/>
</i18n> </i18n>
<VersionInfo>
<StringTable ProductVersion=""/>
</VersionInfo>
<BuildModes Count="9"> <BuildModes Count="9">
<Item1 Name="Default" Default="True"/> <Item1 Name="Default" Default="True"/>
<Item2 Name="Win64Debug"> <Item2 Name="Win64Debug">
@@ -30,8 +27,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<Parsing> <Parsing>
@@ -64,6 +61,10 @@
<CompilerMessages> <CompilerMessages>
<IgnoredMessages idx5024="True"/> <IgnoredMessages idx5024="True"/>
</CompilerMessages> </CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other> </Other>
</CompilerOptions> </CompilerOptions>
</Item2> </Item2>
@@ -75,8 +76,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<CodeGeneration> <CodeGeneration>
@@ -89,9 +90,6 @@
</Optimizations> </Optimizations>
</CodeGeneration> </CodeGeneration>
<Linking> <Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/> <LinkSmart Value="True"/>
<Options> <Options>
<ExecutableType Value="Library"/> <ExecutableType Value="Library"/>
@@ -112,8 +110,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<Parsing> <Parsing>
@@ -146,6 +144,10 @@
<CompilerMessages> <CompilerMessages>
<IgnoredMessages idx5024="True"/> <IgnoredMessages idx5024="True"/>
</CompilerMessages> </CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other> </Other>
</CompilerOptions> </CompilerOptions>
</Item4> </Item4>
@@ -157,8 +159,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<CodeGeneration> <CodeGeneration>
@@ -171,9 +173,6 @@
</Optimizations> </Optimizations>
</CodeGeneration> </CodeGeneration>
<Linking> <Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/> <LinkSmart Value="True"/>
<Options> <Options>
<ExecutableType Value="Library"/> <ExecutableType Value="Library"/>
@@ -194,8 +193,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<Parsing> <Parsing>
@@ -228,6 +227,10 @@
<CompilerMessages> <CompilerMessages>
<IgnoredMessages idx5024="True"/> <IgnoredMessages idx5024="True"/>
</CompilerMessages> </CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other> </Other>
</CompilerOptions> </CompilerOptions>
</Item6> </Item6>
@@ -239,8 +242,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<CodeGeneration> <CodeGeneration>
@@ -253,9 +256,6 @@
</Optimizations> </Optimizations>
</CodeGeneration> </CodeGeneration>
<Linking> <Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/> <LinkSmart Value="True"/>
<Options> <Options>
<ExecutableType Value="Library"/> <ExecutableType Value="Library"/>
@@ -276,8 +276,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<Parsing> <Parsing>
@@ -310,6 +310,10 @@
<CompilerMessages> <CompilerMessages>
<IgnoredMessages idx5024="True"/> <IgnoredMessages idx5024="True"/>
</CompilerMessages> </CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other> </Other>
</CompilerOptions> </CompilerOptions>
</Item8> </Item8>
@@ -321,8 +325,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<CodeGeneration> <CodeGeneration>
@@ -335,9 +339,6 @@
</Optimizations> </Optimizations>
</CodeGeneration> </CodeGeneration>
<Linking> <Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/> <LinkSmart Value="True"/>
<Options> <Options>
<ExecutableType Value="Library"/> <ExecutableType Value="Library"/>
@@ -365,47 +366,47 @@
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit0> </Unit0>
<Unit1> <Unit1>
<Filename Value="ultsUtils.pas"/>
<Filename Value="src\ultsChar.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit1> </Unit1>
<Unit2> <Unit2>
<Filename Value="ultsTypes.pas"/>
<Filename Value="src\ultsContext.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit2> </Unit2>
<Unit3> <Unit3>
<Filename Value="ultsContext.pas"/>
<Filename Value="src\ultsFont.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit3> </Unit3>
<Unit4> <Unit4>
<Filename Value="ultsRenderer.pas"/>
<Filename Value="src\ultsFontCreator.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit4> </Unit4>
<Unit5> <Unit5>
<Filename Value="ultsTextBlock.pas"/>
<Filename Value="src\ultsGeneral.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit5> </Unit5>
<Unit6> <Unit6>
<Filename Value="ultsGeneral.pas"/>
<Filename Value="src\ultsImage.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit6> </Unit6>
<Unit7> <Unit7>
<Filename Value="ultsFont.pas"/>
<Filename Value="src\ultsPostProcessor.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit7> </Unit7>
<Unit8> <Unit8>
<Filename Value="ultsFontCreator.pas"/>
<Filename Value="src\ultsRenderer.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit8> </Unit8>
<Unit9> <Unit9>
<Filename Value="ultsImage.pas"/>
<Filename Value="src\ultsTextBlock.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit9> </Unit9>
<Unit10> <Unit10>
<Filename Value="ultsPostProcessor.pas"/>
<Filename Value="src\ultsTypes.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit10> </Unit10>
<Unit11> <Unit11>
<Filename Value="ultsChar.pas"/>
<Filename Value="src\ultsUtils.pas"/>
<IsPartOfProject Value="True"/> <IsPartOfProject Value="True"/>
</Unit11> </Unit11>
</Units> </Units>
@@ -417,8 +418,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/> <Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target> </Target>
<SearchPaths> <SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/> <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths> </SearchPaths>
<CodeGeneration> <CodeGeneration>


+ 2
- 2
libTextSuite.lpr Datei anzeigen

@@ -4,8 +4,8 @@ library libTextSuite;


uses uses
Classes, SysUtils, Classes, SysUtils,
ultsContext, ultsRenderer, ultsTextBlock, ultsGeneral, ultsFont, ultsFontCreator,
ultsImage, ultsPostProcessor, ultsChar;
ultsChar, ultsFontCreator, ultsGeneral, ultsPostProcessor, ultsTextBlock,
ultsUtils, ultsContext, ultsFont, ultsImage, ultsRenderer, ultsTypes;


exports exports
ltsContextCreate, ltsContextCreate,


+ 1
- 0
src/OpenGLCore

@@ -0,0 +1 @@
Subproject commit 591218ce55b57e4e7921637c3f2465d4a833d7f0

+ 1
- 0
src/TextSuite

@@ -0,0 +1 @@
Subproject commit c127e64b205e4f3051ea2d703f8bd83782ff9ab2

+ 1
- 0
src/Utils

@@ -0,0 +1 @@
Subproject commit fcd9a8fa402ea659c3c30f850753be58c3369f21

ultsChar.pas → src/ultsChar.pas Datei anzeigen


ultsContext.pas → src/ultsContext.pas Datei anzeigen

@@ -13,7 +13,7 @@ type
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsContext = class(TtsContext) TltsContext = class(TtsContext)
public public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end; end;


function ltsContextCreate (): TltsContextHandle; stdcall; function ltsContextCreate (): TltsContextHandle; stdcall;
@@ -35,10 +35,10 @@ var
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsContext/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //TltsContext///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsContext.DelSlave(const aSlave: TtsRefManager);
function TltsContext.DelSlave(const aSlave: TtsRefManager): Boolean;
begin begin
DelReference(aSlave); DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsFont.pas → src/ultsFont.pas Datei anzeigen


ultsFontCreator.pas → src/ultsFontCreator.pas Datei anzeigen

@@ -28,31 +28,31 @@ type
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsFontCreatorFreeType = class(TtsFontCreatorFreeType) TltsFontCreatorFreeType = class(TtsFontCreatorFreeType)
public public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsFontCreatorGDI = class(TtsFontCreatorGDI) TltsFontCreatorGDI = class(TtsFontCreatorGDI)
public public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsFontCreatorFreeType/////////////////////////////////////////////////////////////////////////////////////////////// //TltsFontCreatorFreeType///////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsFontCreatorFreeType.DelSlave(const aSlave: TtsRefManager);
function TltsFontCreatorFreeType.DelSlave(const aSlave: TtsRefManager): Boolean;
begin begin
DelReference(aSlave); DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsFontCreatorGDI//////////////////////////////////////////////////////////////////////////////////////////////////// //TltsFontCreatorGDI////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsFontCreatorGDI.DelSlave(const aSlave: TtsRefManager);
function TltsFontCreatorGDI.DelSlave(const aSlave: TtsRefManager): Boolean;
begin begin
DelReference(aSlave); DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsGeneral.pas → src/ultsGeneral.pas Datei anzeigen

@@ -9,6 +9,7 @@ uses
ultsTypes; ultsTypes;


function ltsInitialize: TltsErrorCode; stdcall; function ltsInitialize: TltsErrorCode; stdcall;
function ltsGetVersion: PAnsiChar; stdcall;
function ltsGetLastErrorCode: TltsErrorCode; stdcall; function ltsGetLastErrorCode: TltsErrorCode; stdcall;
function ltsGetLastErrorMsg: PAnsiChar; stdcall; function ltsGetLastErrorMsg: PAnsiChar; stdcall;
function ltsFinalize: TltsErrorCode; stdcall; function ltsFinalize: TltsErrorCode; stdcall;
@@ -18,6 +19,12 @@ implementation
uses uses
ultsUtils; ultsUtils;


{$IFDEF DEBUG}
const Version = 'DebugVersion';
{$ELSE}
{$I utsTextSuiteVersion.inc}
{$ENDIF}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//General/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //General///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -34,6 +41,12 @@ begin
end; end;
end; end;


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function ltsGetVersion: PAnsiChar; stdcall;
begin
result := PAnsiChar(Version);
end;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function ltsGetLastErrorCode: TltsErrorCode; stdcall; function ltsGetLastErrorCode: TltsErrorCode; stdcall;
begin begin

ultsImage.pas → src/ultsImage.pas Datei anzeigen


ultsPostProcessor.pas → src/ultsPostProcessor.pas Datei anzeigen


ultsRenderer.pas → src/ultsRenderer.pas Datei anzeigen

@@ -55,14 +55,14 @@ type
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsRendererOpenGL = class(TtsRendererOpenGL) TltsRendererOpenGL = class(TtsRendererOpenGL)
public public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
constructor Create(const aContext: TtsContext; const aFormat: TtsFormat); constructor Create(const aContext: TtsContext; const aFormat: TtsFormat);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsRendererOpenGLES = class(TtsRendererOpenGLES) TltsRendererOpenGLES = class(TtsRendererOpenGLES)
public public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
constructor Create(const aContext: TtsContext; const aFormat: TtsFormat); constructor Create(const aContext: TtsContext; const aFormat: TtsFormat);
end; end;


@@ -93,10 +93,10 @@ type
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsRendererOpenGL//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //TltsRendererOpenGL////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsRendererOpenGL.DelSlave(const aSlave: TtsRefManager);
function TltsRendererOpenGL.DelSlave(const aSlave: TtsRefManager): Boolean;
begin begin
DelReference(aSlave); DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -111,10 +111,10 @@ end;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsRendererOpenGLES////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// //TltsRendererOpenGLES//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsRendererOpenGLES.DelSlave(const aSlave: TtsRefManager);
function TltsRendererOpenGLES.DelSlave(const aSlave: TtsRefManager): Boolean;
begin begin
DelReference(aSlave); DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end; end;


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsTextBlock.pas → src/ultsTextBlock.pas Datei anzeigen


ultsTypes.pas → src/ultsTypes.pas Datei anzeigen


ultsUtils.pas → src/ultsUtils.pas Datei anzeigen


Laden…
Abbrechen
Speichern